
			Revision History

These following changes/additions that were made.
5/30/98
    Fixed software to work with nextel paging system.  There system counld not handle 
    a quick responce to there ID request.  A 1 second delay was added to fix the problem.

5/25/98
    Added Windows NT/95 command line client(PAGEIP32.EXE) for SNPP.  

5/12/98
    Fixed Windows snpp client displaying trash at top of screen.

    Make windows clients beable to select more then 100 names at a time.

4/16/98
    If user name or group name is to large the system will limit the size.

4/06/98
    Fixed bug from code to log sequence numbers

3/28/98
    Added SNPP support to the NT web client

    Added a sequence number to all pages.  This is so queued log messages, message send log messages
    and error log messages can be matched up.

-----------------------------------------------------------------------------------------------------
3/19/98            Changed version number to 1.8 and released new version.
-----------------------------------------------------------------------------------------------------
3/16/98
    Fixed delay when the cancel button is pressed.

3/15/98
    Added Auto modem init.  To use Auto modem setup make:
    ModemInitString = Auto

3/09/98
    Changed the wait time to 50 for the modem connect time.   Most modems default connect 
    time is 50 seconds. 

    Changed the wait time for TAP ID= message to 17 seconds.   Tap spec. has 10 as MAX, so
    it should would on slow paging providers.

3/01/98
    Removed keyboard imput on the NT paging server.  This is so it can run as a service.

2/24/98
    Fixed CRLF error in e-mail gateway

2/23/98
    Fixed some things Add more debug info to the e-mail gateway

2/22/98
    Automatic PAGE.INI reload.   Every 2 min. 

2/19/98
    Fixed NT paging server is it would send a list of names in a group

    On paging server's console you can now get some stats.   A ? will give a list of 
    commands

2/16/98
    Made the paging server use all the modems at the same time!!!!!!!!!!!!!!!!!!!
    This is for high end paging server needs

    Added QueueSize = XXX      This was also added for high end paging server needs

    Added * and # in the for numeric pagers

    Fixed the problem with having , in the names when you are using groups 

2/08/98
    Fixed NT paging server so a CTRL-Break and Close window work.

1/31/98
    Made the ICON's work under win 95/NT

1/28/98
    Fixed some spelling errors

    Changed the way numeric pages work, also found bug

    Made it so you can have a direct line to a TAP device(No modem)

1/25/98
    Added some new ICON's

1/20/98
    Fixed SNPP and Lan Server clients so they do not display the unregisted message 
    in the dialog box

1/12/98
    Changed time out in POP pager from 5 sec to 15 sec.   This will help mail servers
    that are very busy.

    Fixed Error Queuing Page message in NT POP paging server.

    Added ICON for editing the page.ini file

    Fixed web cgi client.  All % were not being sent to the web browser, now a %% in 
    the page.htm file will produce a %

    Added Feed back form.

12/12/97
    Fixed spelling errors.

    Fixed bug when web page client sending "From: x.x.x.x" text too many times

12/08/97
    Added Unregisted Super Pager messages to all out going pages.  If its unregisted

    Added Reply-To email address to log on the POP page server.  It will only log 
    the Reply-To address if it is different from the from address.

12/04/97
    SNPP Server will now check to see if the page.ini file has changed and if it 
    was changed the list of names will be re-read from the paging server.

    SNPP Server will loop till it can bind to the TCP/IP port.

    Web cgi will not add the Host name or Ip address to the message.   For host
    name to work DNS lookup must be truned on.

11/27/97
    Changed the way digital pagers work.   Digital pagers can work two ways, 1.  Dial 
    pager phone number, wait, enter message.  2.  Dial phone number, wait, dial pin,
    wait, enter message.  This will support SkyTel with out a script.

11/20/97
    Fixed bug in rereading page.ini file.   This bug was caused by making the group size
    varible

11/19/97
    Fixed modem init string.  If set to "" it will not try to send anything

    Added demo mode.   Run the paging server like: 
	paged demo
	paged32 demo

    Changed the poll time of the paging server.   Now the paging server check every 
    second(was every 5 sec)

    Added pageadv.htm and changed the page.htm file.  The pageadv.htm is the original
    file with delayed paging.  The new page.htm uses tables and does not have any
    setup for delayed paging.

11/16/97
    Fixed Windows Pager so after paging it will deselect any names that were selected.

    Fixed Windows SNPP client IP bugs

11/15/97
    Added Windows NT SNPP Server(SNPPD32.EXE).   Window NT now support all the SNPP 
    clients; these include: OS/2 PM, OS/2 Command line and windows.

    Fixed bug in the SNPP server if the client would try to send more than 1 page
    at a time and the pager ID was in valid, all pages after that would 
    get a error too.

11/12/97
    Fixed:  SYS1808: The process has stopped.  The software diagnostic code (exception 
    code) is 5.

11/09/97
    Changed Max number of groups to 200.  Made the group size varible(60K max)

    Changed Now Queue size to 100.

    Fixed bug in PMPAGEIP sending large messages.

10/19/97
    Fixed memory problem with e-mail gateway.  At startup it would get 49M bytes memory.  
    Now at startup it will only get memory for 5 gateways(less than 300K) and get more as needed.

10/16/97
    Added from e-mail address in log for e-mail gateway.

    Cleaned up e-malil message before sending to paging server

    Added loging the message on script paging

10/14/97
    Fixed E-Mail gateway bug finding start of message body.

10/12/97
    Added multiple recipients the E-Mail gateway.  The Subject field can have more the one
    pager ID/name in it seperated by a comma(,).  
    Example:  Subject:  bill,brent borghese,ted,bob

    Added %%EndPage%% to the E-Mail gateway.   If a the E-Mail has %%EndPage%% in the
    body of the message all text after %%EndPage%% will not be sent to the pager.

    Fixed memory error when E-Mail gateway starts up.

    Made NT version of E-Mail gateway. (Only took 2 hours to port, I'm getting better)

10/09/97
    Added a OS/2 E-Mail gateway.   PopPaged.exe will read mail accounts from a 
    Pop3 mail server and page a user with a message.    The pager ID or User 
    Name is in the Subject field. And the message is in the body of the E-Mial

9/27/97
    Made the basic PM Page and winpage "Who to page" list box bigger.

9/20/97
    Added IP paging to the wwwpage(OS/2 web pager).   Now the paging server and the web server 
    does not need to be on the same computer(If you only have a TCP/IP network).   Paging,
    receiving a list of names, Viewing log file and system status(no delayed pages).

9/19/97
    Added HostName = "IPHostNameOrIPAddress" to the wwwpage.ini file.   This is the host name/address
    of the computer that is running the SNPPD server.   If HostName is set the Lan Server name is not used.

    Added TcpPort = SnppPort to the wwwpage.ini file.   Default is 5100.   This is the TCP/IP port that 
    the SNPPD server is running on.

9/15/97
   Added Group = "Group Name"  to the NameSection.  This will give you two
   different ways to create groups.  You can use the GroupSection to make 
   a list of users.  Or include the group in the NameSection with the users 
   pager setup.

9/13/97
    Added %g to page.htm file.   This will let you select a Display Group for the web pager.
    Before you had to use the URL to display a list of users in a group, now it can be put 
    in the html file.

8/27/97
   Fixed Logging message.   A text buffer was only 100 bytes for formating the Log message, this has
   been fixed.

   Added WRAP=VIRTUAL to the page.htm file

8/16/97
   Added minimize button to the windows and PM pager programs

   Added MSTA command to the SNPP server to view the status of the paging server.

   Added MLOG command to the SNPP server to view the paging server's log file.

   Added delayed paging to the windows Lan server client

   Added log message for deleting pages in the AT queue

   Fixed deleting AT pages from wpagels.exe and PMPAGELS.EXE

   Added MaxPagesPerConnection = 20 to the page.ini file, this is used to limit the number of pages to 
   a paging system at one time.

   Added  ClientType = Slim|Full.   This changes the item on the screen for the Lan server clients 
   PMPAGELS.EXE and WPAGELS.EXE.   If is to slim it will only let you page now.  If set to Full it
   gives you the option to have delay pages.

8/06/97
    Fixed bug in PMPAGEIP.EXE, the list of pagers was not being received from the SNPPD server.

8/05/97
    Fixed bug in delayed pages.   Bug was caused by the year 2000 fix

7/27/97
    Added more error checking in the WIN32 com port API

7/24/97
    After paging all selected names in the who to page list box will be deselected
   
    Add more code page 850 translation

7/14/97
    Changed the max number of systems to 50.

6/27/97
   Fixed Delete page from PM pager.

   Removed '<option value="" => Blank' from the web page exe and added to the page.htm file

   Made it posible to enter dates in 2 formats MM-DD-YY HH:MM or YYYY-MM-DD HH:MM.  If a 2 
   digit year is used 00-96 is 2000-2096 and 97-99 is 1997-1999

6/26/97
   Fixed Queued text message in paging server.

6/24/97
    Add SuppressNameDisplay to the NameSection of the page.ini file.   This option will keep the persons
    name from being sent to the clients.

6/23/97
    Add automatic PAGE.INI reload.   Every 5 min. the paging server will check to see if the PAGE.INI file has
    changed, and if it did it will reload it.

    Changed the log date format to YYYY-MM-DD HH:MM.   This makes it that ISO standard to be year 2000
    compatible.

6/22/97
    Made the log file display 1600 byte instead of 1000 bytes.

6/19/97
    Fixed web cgi program's date memory problem.  It a %d was used in the html file the cgi would crash.

6/18/97
    Fixed windows SNPP client to receive names from the server.

6/05/97
    Fixed NT comm port parity setup problem.

-----------------------------------------------------------------------------------------------------
5/10/97            Changed version number to 1.7 and released new version.
-----------------------------------------------------------------------------------------------------

5/10/97
    Added code to SNPPD to make sure all sockets are closed on exit.  This
    was to get rid of the Bind(): Address already in use error but it did not.

5/01/97
    Fixed bug in script files.  If more then one script was used it would 
    leave part the first script in memory when the second one was read in.

4/28/97
    Added a HTML documentation file.

4/18/97
    Added DialingPrefix, ReadNamesFromServer flag,  OverrideTcpPort ,
    OverrideHostName, OverrideLanServerName to the page.ini file.

4/14/97
    Changed the TAP responce function.  The only error now is a NAK

    Made the history file in reverse.

3/14/97
    SNPPD would exit when it was started and paged was not running, SNPPD now will wait for paged
    to start so a list of names can be received from paged.

3/13/97
    Fixed pageip.exe it was not setup the tcp/ip connnection.
    Fixed SNPPD to report error if paging server is not running.
    Fixed SNPPD error when a connection is disconnected.
    Fixed PMPAGEIP sending long messages.

2/16/97
    Fixed web paging to work right with Microsoft's web server.

2/9/97
    Fixed Lan server client group paging.   If a group was paged the group name was not passed
    to the paging server.

    Fixed text in windows winreg.exe.

    Added a error message if the comm port was not able to be opened up.

2/8/97
    Added %e substitution in the page.htm file(%e=wwwpage.exe or wwwpgnt.exe).   This is so
    one page.htm file can be used for OS/2 and NT.

1/30/97
    Added NT Web paging client

1/29/97
    Added better error checking on TAP paging system.

1/27/97
    Changed so all errors when paging will get retried.

1/10/97
    Added Super Pager Installer for Windows(SETUP.EXE) and OS/2 (SETUP2.EXE)

11/14/96
    Added code to wpageip.exe and pmpageip.exe to make uses of the DisplayGroupName
    setting in the INI file

11/13/96
    Web server client(wwwpage.exe) will now get a list a name from a group name. This
    is done by adding ?group=DisplayGroup to the URL.
    Like:  http://www.server.com/cgi-bin/wwwpage/page.htm?group=DisplayGroup

11/12/96
    Added LIST GROUP_NAME command to the SNPPD TCP/IP network server.  This is used
    to show all the uses in a group.

    Added DisplayGroupName = "Group Name" to the PAGE.INI file.   This lets you select a smaller
    group to display in the windows or PM list box.

11/08/96
    Added LISTNAMES(LIST for short) command to the SNPPD TCP/IP network server.

11/06/96
    Web server client(wwwpage.exe) will now get a list of the people and groups from
    the paging server.  Also, changed the page.hml file to have a %p in the file where the
    names are subituted.

11/05/96
    Tested the 32 bit windows paging server on windows 95, It do not work.  Windows 95
    does not support the name pipe connect funtion.  This function is need to make a name
    pipe server.  You can thank Microsoft for this one.  There is no work around for this
    so there will not be a Lan server paging server that runs on Windows 95.

11/02/96
    Fixed web pager looping problem.  The web browsers would hang some times.

    Added new html code for paging status, paging system status and log file.

    Added more error messages.  If the person is not in the paging server's INI file
    a error message is logged.

    Fixed modem init string problem.  Different modems handle parity different ways.
    Whem talking to the modem super pager uses 8N1 then when connected to a paging
    system super pager uses whats in the ini file.   This seems to work better when
    just trying to use ATZ has the modem init string.

10/20/96
    Fixed list box in PM pager.  You were not able to page the first name on the list.

10/18/96
    Added a list box to the Windows pager.  Now more than one person can be paged at one time.

10/17/96
    Fixed TapM to it will send more than one page at a time

    Added Logging the messages to a file.   LogMessages = Enabled|Disabled

    Added MultipleMessageMode = Enabled|Disabled.  The is for TAP paging system that support
    multiple pages per call.

    Added a list box to the PM pager.  Now more than one person can be paged at one time.

    Added MaxReTrys to the ini file.  This is the number of times super pager will try to send
    the page to the paging system.  0 Will try forever.  The default is 10

9/26/96
    Fixed the SNPPD server so it does no hard loop if the client disconnects in
    the middle of session.

7/22/96
    Fixed split message bug in paging server.  If the message was greater then
    MaxMessageLength only the first part of the message was sent.  The bug was realy in
    PMpage, wpagels, winpage.

7/20/96
    Added Windows NT version of the paging server(paged32.exe).

7/18/96
    Added loaging diaglog box at startup.

    Added new message type for getting a list of name from the server/(Lan Server)

    Added new message type for getting a list of groups from the server/(Lan Server)

    Make a seperat version of Windows and PM PAGER for lan server. It will
    get the list of name/groups from the paging server

7/01/96
    Add pgstart.htm, pgok.htm and pgbad.htm and pgend.htm files so the web
    server paging status can look the way you want it too.

    Added wwwpage.ini file with:
        LanServerName    = "PagingNode"
        StartingHtmlFile = "c:\www\docs\pgstart.htm"
        OkHtmlFile       = "c:\www\docs\pgok.htm"
        BadHtmlFile      = "c:\www\docs\pgbad.htm"
        EndingHtmlFile   = "c:\www\docs\pgend.htm"
    What the wwwpage.exe will do is take pgstart.htm, pgok.htm and pgend.htm and
    merge them in to one html file and send that to the browser as the status
    of the page.   The %n in the pgok.htm or pgbad.htm is subsituted with the
    name of the person paged.

6/25/96
    Fixed PM Pager not puting it self in the window list.

6/18/96
    Fixed PM client dialog box so it fits on a 640x460 screen.

    Add lan server web client,

    Add pgok.htm and pgbad.htm files so the web server paging status can
    look the way you want it too.

-----------------------------------------------------------------------------------------------------
6/09/96         Changed version to 1.6  Rel. 1 and released.
-----------------------------------------------------------------------------------------------------

6/05/96
    Fixed "amd" text

5/22/96
    The program would try to send the modem init string every if there was not
    one.  The program now checks to see if there is a string to send

    On OS/2 if your code page is set to 850 super pager will map the character
    set.

    Added MapCodePage = CP437|CP850 to the page.ini file.  This line is only
    needed in windows, OS/2 will set it for you.

5/17/96
    Added code page 850 maping to TAP and UCP

5/16/96
    Added command line args to the windows pager and the windows SNPP pager.
    Added message clear button to the OS/2 PM pager.
    Added message clear button to the windows pager program.

5/15/96
    Added DOS command line client.  This connand line client will run on NT in
    a DOS window, OS/2 VDM and Windows for workgroups DOS session.

5/13/96
    Added windows lan server client.  The same program is used for standalone
    pageing and the lan server client

5/12/96
    Fixed message spliting.  If the message had no spaces it would send 60 char
    at a time.  Now it will only look back 20 chars for a space before spliting
    the message.

5/11/96
    Fixed errors in ini file not being loged.

5/10/96
    Fixed named pipe connection.  Added a total of 10 threads to read the name
    pipe.

5/06/96
    Fixed UCP sending international character's

5/05/96
    Add Lan Server network paging in the PM client. LanServerName = "ServerName"

4/22/96
    Add error message, Error opening PAGE.INI file - File not found

4/21/96
    Fixed UCP sending ASCII 128 - 255 char's

    Added a list of modem init strings

4/19/96
    Fix paging by id with snpp

4/17/96
    Added GlobalSection.

    Added LogFileName = "X:\LogFileName.TXT".  This will let you override the
    default log file name to anything you want.

    Added error message when paging with TAP, "Pager acknowledgment not received"

    Added TapPassWord in the pager system section.   Lets you set the TAP system
    password.

    Fixed problem when running in win95, the log file would get printed to the
    screen.

4/07/96
	Added message spliting.  A big(16K or less) message can be sent at once and
	Super Pager will break the message in to smaller messages and send them
	one at a time.

	Added MaxMessageLength to the pager system area.  This is so we known where
	to split the message.  The min size is 60 and the max is 4000 bytes.
	The default is 230.   A min size we needed for the shareware version.

    Took the 230 byte limmit off the windows.

    Fixed problem with paging one page right after another.  Add delay and
    buffer flush then closeing the comm port.

3/27/96
	On page errors it will try 3 times about 2 min appart, then wait 5 min and
	try one last time.  It will log the error and go to the next page.

	Added Universal Computer Protocol. SystemType = UCP.  This paging format is
	popular in europe.

-----------------------------------------------------------------------------------------------------
3/22/96                Changed version to 1.5  Rel. 1 and released.
-----------------------------------------------------------------------------------------------------

3/20/96
	Added real TAP, SystemType = Tap.  The manual mode tap is still there to
	access it use SystemType = TapM

2/11/96
	Fixed SNPP server not logging errors if it can not send a page message to
	the paging server.

	Fixed SNPP command line and PM client to report errors.

	Added def file to SNPP command line client.

2/06/96
	Added a OS/2 command line SNPP client.

1/10/96
	On slow 386 systems the SNPPD server does not get cpu time.  Fixed by
	uping the priority.

	On the OS/2 PM snpp client if you cancel the page you can not send any more
	pages.	The task must be restarted to work again.  This has been Fixed.

-----------------------------------------------------------------------------------------------------
1/06/96                 Changed version to 1.4  Rel. 1 and released.
-----------------------------------------------------------------------------------------------------

1/05/96
	Added Simple network paging protocol(SNPP) client.  It uses Windows Winsock
	DLL.  It is a Windows based program that sends paging data to a TCP/IP
	SNPP server.

1/04/96
	Add registration programs.   Windows version(WINREG.EXE) and OS/2
	version(PMREG.EXE).   Both programs will update both INI file formats.

12/11/95
	Added Simple network paging protocol(SNPP) server.  It uses warps TCP/IP
	sockets.  It is a os/2 text based program that sends name pipe messages to
	paged.exe.  The program is multi threaded and will let mutiple TCP/IP SNPP
	clients connect at the same time.

	Added Simple network paging protocol(SNPP) client.  It uses Warps TCP/IP
	sockets.  It is a OS/2 PM based program that sends paging data to a TCP/IP
	SNPP server.

11/13/95
	New ini file layout.

		PagerSystemsSection
		[Numeric]
		ModemInitString	= "AT Z"
		Port			= "COM1"
		Baud			= 1200
		Parity			= None
		DataBits		= 8
		StopBits		= 1

		[Name of System 1]
		ModemInitString	= "AT Z"
		Port			= "COM1"
		Baud			= 1200
		Parity			= None
		DataBits		= 8
		StopBits		= 1
		SystemPhoneNumber 	= "690-1234"
		SystemType			= Tap|Script
		ScriptFileName		= "c:\pageos2\systema.src"

		[Name of System 2]
		ModemInitString	= "AT Z"
		Port			= "COM1"
		Baud			= 1200
		Parity			= None
		DataBits		= 8
		StopBits		= 1
		SystemPhoneNumber 	= "690-1234"
		SystemType			= Tap|Script
		ScriptFileName		= "c:\pageos2\systemb.src"

		NameSection
		[Bob Smith]
		PageID  	= "630-2222"
		PagerType	=  Numeric|Alphanumeric
		SystemName	= "Name of System"

		[Mr. Bill]
		PageID  	= "630-1122"
		PagerType	=  Numeric|Alphanumeric
		SystemName	= "Name of System"

		GroupSection
		[Group Name 1]
			Name = "Bob Smit"
			Name = "Mr. Bill"

		[Group Name 2]
			Name = "Some ones name"
			Name = "Some one else"

11/07/95
	Add comm shareing.  Now caller id for os/2 and pageos2 can share a modem.

-----------------------------------------------------------------------------------------------------
11/05/95                       Changed version to 1.0  Rel. 3 and released.
-----------------------------------------------------------------------------------------------------

11/05/95
	Changed version to 1.0  Rel. 3 and released.

11/05/95
	Fixed bug in pageing script.  If useing the script option
	it will only page one person per call.

	Fixed delay problem when multiple pages are queue in scrip mode.

	Fixed modem baud rate problem in script dialing

11/02/95
	When done with now list entry it is zeroed out.

-----------------------------------------------------------------------------------------------------
10/30/95                       Changed version to 1.0  Rel. 2 and released.
-----------------------------------------------------------------------------------------------------

10/17/95
	Changed paged.ini file name to page.ini
	Changed paged.scr file name to page.scr

10/15/95
	Wrote PM Pager - Standalone and Client in one program: pmpage.exe
	You can run pmpage by it self or run paged and use pmpage to
	queue pages.

	Add pm window code to comm code

10/5/95
	Add paged.scr file script


